apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: ioteer-dragino
  name: ioteer-dragino
  namespace: ioteer
spec:
  replicas: 1
  selector:
    matchLabels:
      app: ioteer-dragino
  strategy: {}
  template:
    metadata:
      labels:
        app: ioteer-dragino
    spec:
      containers:
        - image: docker.io/tobru/ioteer:latest
          name: ioteer
          command:
            - python
            - lgt92.py
          envFrom:
            - secretRef:
                name: ioteer-dragino
          ports:
            - containerPort: 8080
              protocol: TCP
          imagePullPolicy: Always
